# Uses of Class
org.osgi.framework.BundleException

Packages that use BundleException
Package
Description
org.apache.felix.framework
org.apache.felix.framework.ext
org.apache.felix.framework.util.manifestparser
org.osgi.framework
Framework Package Version 1.8.
org.osgi.framework.launch
Framework Launch Package Version 1.2.

## Uses of BundleException in org.apache.felix.framework

Methods in org.apache.felix.framework that throw BundleException
Modifier and Type
Method
Description
`void`
Felix.`init()`
`void`
Felix.`init(FrameworkListener... listeners)`
`void`
Felix.`start()`
This method starts the framework instance, which will transition the framework from start level 0 to its active start level as specified in its configuration properties (1 by default).
`void`
Felix.`start(int options)`
`void`
Felix.`stop()`
This method asynchronously shuts down the framework, it must be called at the end of a session in order to shutdown all active bundles.
`void`
Felix.`stop(int options)`
`void`
Felix.`uninstall()`
`void`
Felix.`update()`
`void`
Felix.`update(InputStream is)`

## Uses of BundleException in org.apache.felix.framework.ext

Methods in org.apache.felix.framework.ext that throw BundleException
Modifier and Type
Method
Description
`void`
FelixBundleContext.`addCapability()`
`void`
FelixBundleContext.`addRequirement(String s)`
`void`
FelixBundleContext.`removeCapability()`
`void`
FelixBundleContext.`removeRequirement()`

## Uses of BundleException in org.apache.felix.framework.util.manifestparser

Methods in org.apache.felix.framework.util.manifestparser that throw BundleException
Modifier and Type
Method
Description
`boolean`
NativeLibraryClause.`match(Map configMap)`
`static List<BundleRequirement>`
ManifestParser.`parseDynamicImportHeader(Logger logger, BundleRevision owner, String header)`
`static String`
ManifestParser.`parseExtensionBundleHeader(String header)`
Constructors in org.apache.felix.framework.util.manifestparser that throw BundleException
Modifier
Constructor
Description
``
`ManifestParser(Logger logger, Map configMap, BundleRevision owner, Map headerMap)`

## Uses of BundleException in org.osgi.framework

Methods in org.osgi.framework that throw BundleException
Modifier and Type
Method
Description
`Bundle`
BundleContext.`installBundle(String location)`
Installs a bundle from the specified `location` identifier.
`Bundle`
BundleContext.`installBundle(String location, InputStream input)`
Installs a bundle from the specified `InputStream` object.
`void`
Bundle.`start()`
Starts this bundle with no options.
`void`
Bundle.`start(int options)`
Starts this bundle.
`void`
Bundle.`stop()`
Stops this bundle with no options.
`void`
Bundle.`stop(int options)`
Stops this bundle.
`void`
Bundle.`uninstall()`
Uninstalls this bundle.
`void`
Bundle.`update()`
Updates this bundle.
`void`
Bundle.`update(InputStream input)`
Updates this bundle from an `InputStream`.

## Uses of BundleException in org.osgi.framework.launch

Methods in org.osgi.framework.launch that throw BundleException
Modifier and Type
Method
Description
`void`
Framework.`init()`
Initialize this Framework.
`void`
Framework.`init(FrameworkListener... listeners)`
Initialize this Framework.
`void`
Framework.`start()`
Start this Framework.
`void`
Framework.`start(int options)`
Start this Framework.
`void`
Framework.`stop()`
Stop this Framework.
`void`
Framework.`stop(int options)`
Stop this Framework.
`void`
Framework.`uninstall()`
The Framework cannot be uninstalled.
`void`
Framework.`update()`
Stop and restart this Framework.
`void`
Framework.`update(InputStream in)`
Stop and restart this Framework.